plugins {
    alias(libs.plugins.multiplatform)
    alias(libs.plugins.cocoapods)
    alias(libs.plugins.compose)
    id("convention.publication")
}

group = "my.company.name"
version = "1.0"

kotlin {
    jvm()

    iosX64()
    iosArm64()
    iosSimulatorArm64()
    cocoapods {
        ios.deploymentTarget = "16.0"
        framework {
            baseName = "shared"
            isStatic = true
        }

        pod("EDSemver", "0.4.0")
    }

    sourceSets {
        all {
            compilerOptions {
                optIn.add("kotlinx.cinterop.ExperimentalForeignApi")
            }
        }
        commonMain.dependencies {
            implementation(compose.runtime)
            implementation(compose.material3)
        }

        commonTest.dependencies {
            implementation(kotlin("test"))
        }

    }

    //https://kotlinlang.org/docs/native-objc-interop.html#export-of-kdoc-comments-to-generated-objective-c-headers
    targets.withType<org.jetbrains.kotlin.gradle.plugin.mpp.KotlinNativeTarget> {
        compilations["main"].compilerOptions.options.freeCompilerArgs.add("-Xexport-kdoc")
    }

}
