import kotlin.test.Test
import kotlin.test.assertTrue

class SemverTest {

    @Test
    fun check() {
        assertTrue(
            semverParse("1.2.3") < semverParse("1.3.0")
        )
        semverParse("2.0.0-Beta05").let { version ->
            assertTrue(version.major() == 2L)
            assertTrue(version.minor() == 0L)
            assertTrue(version.patch() == 0L)
            assertTrue(version.prerelease() == "Beta05")
            assertTrue(version.build() == "")
            println(
                """
                    version:
                        major=${version.major()}
                        minor=${version.minor()}
                        patch=${version.patch()}
                        prerelease=${version.prerelease()}
                        build=${version.build()}
                """.trimIndent()
            )
        }
    }
}